Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -12042,202 +23934,220 @@
   'MHDR'   MNGHeader                            MNG MNGHeader
   'MOVE'   MoveObjects                          MNG MoveObjects
-  'ORDR'   OrderingRestrictions                 N
+  'ORDR'   OrderingRestrictions                 no
   'PAST'   PasteImage                           MNG PasteImage
-  'PPLT'   PartialPalette                       N
+  'PPLT'   PartialPalette                       no
   'PROM'   PromoteParent                        MNG PromoteParent
-  'SAVE'   SaveObjects                          N
-  'SEEK'   SeekPoint                            N
+  'SAVE'   SaveObjects                          no
+  'SEEK'   SeekPoint                            no
   'SHOW'   ShowObjects                          MNG ShowObjects
   'TERM'   TerminationAction                    MNG TerminationAction
   'eXPi'   ExportImage                          MNG ExportImage
   'fPRI'   FramePriority                        MNG FramePriority
-  'nEED'   ResourcesNeeded                      N
+  'nEED'   ResourcesNeeded                      no
   'pHYg'   GlobalPixelSize                      PNG PhysicalPixel
 
 =head3 MNG Background Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    BackgroundColor                      N
-      6    MandatoryBackground                  N
-      7    BackgroundImageID                    N
-      9    BackgroundTiling                     N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    BackgroundColor                      no
+      6    MandatoryBackground                  no
+      7    BackgroundImageID                    no
+      9    BackgroundTiling                     no
 
 =head3 MNG BasisObject Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      4    ImageHeight                          N
-      8    BitDepth                             N
-      9    ColorType                            N
-     10    Compression                          N
-     11    Filter                               N
-     12    Interlace                            N
-     13    RedSample                            N
-     17    GreenSample                          N
-     21    BlueSample                           N
-     25    AlphaSample                          N
-     26    Viewable                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      4    ImageHeight                          no
+      8    BitDepth                             no
+      9    ColorType                            no
+     10    Compression                          no
+     11    Filter                               no
+     12    Interlace                            no
+     13    RedSample                            no
+     17    GreenSample                          no
+     21    BlueSample                           no
+     25    AlphaSample                          no
+     26    Viewable                             no
 
 =head3 MNG ClipObjects Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FirstObject                          N
-      2    LastObject                           N
-      4    DeltaType                            N
-      5    ClipBoundary                         N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FirstObject                          no
+      2    LastObject                           no
+      4    DeltaType                            no
+      5    ClipBoundary                         no
 
 =head3 MNG CloneObject Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    SourceID                             N
-      2    CloneID                              N
-      4    CloneType                            N
-      5    DoNotShow                            N
-      6    ConcreteFlag                         N
-      7    LocalDeltaType                       N
-      8    DeltaXY                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SourceID                             no
+      2    CloneID                              no
+      4    CloneType                            no
+      5    DoNotShow                            no
+      6    ConcreteFlag                         no
+      7    LocalDeltaType                       no
+      8    DeltaXY                              no
 
 =head3 MNG DefineObject Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ObjectID                             N
-      2    DoNotShow                            N
-      3    ConcreteFlag                         N
-      4    XYLocation                           N
-     12    ClippingBoundary                     N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ObjectID                             no
+      2    DoNotShow                            no
+      3    ConcreteFlag                         no
+      4    XYLocation                           no
+     12    ClippingBoundary                     no
 
 =head3 MNG DeltaPNGHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ObjectID                             N
-      2    ImageType                            N
-      3    DeltaType                            N
-      4    BlockSize                            N
-     12    BlockLocation                        N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ObjectID                             no
+      2    ImageType                            no
+      3    DeltaType                            no
+      4    BlockSize                            no
+     12    BlockLocation                        no
 
 =head3 MNG JNGHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      4    ImageHeight                          N
-      8    ColorType                            N
-      9    BitDepth                             N
-     10    Compression                          N
-     11    Interlace                            N
-     12    AlphaBitDepth                        N
-     13    AlphaCompression                     N
-     14    AlphaFilter                          N
-     15    AlphaInterlace                       N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      4    ImageHeight                          no
+      8    ColorType                            no
+      9    BitDepth                             no
+     10    Compression                          no
+     11    Interlace                            no
+     12    AlphaBitDepth                        no
+     13    AlphaCompression                     no
+     14    AlphaFilter                          no
+     15    AlphaInterlace                       no
 
 =head3 MNG Loop Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    NestLevel                            N
-      1    IterationCount                       N
-      5    TerminationCondition                 N
-      6    IterationMinMax                      N
-     14    SignalNumber                         N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    NestLevel                            no
+      1    IterationCount                       no
+      5    TerminationCondition                 no
+      6    IterationMinMax                      no
+     14    SignalNumber                         no
 
 =head3 MNG MagnifyObject Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FirstObjectID                        N
-      2    LastObjectID                         N
-      4    XMethod                              N
-      5    XMag                                 N
-      7    YMag                                 N
-      9    LeftMag                              N
-     11    RightMag                             N
-     13    TopMag                               N
-     15    BottomMag                            N
-     17    YMethod                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FirstObjectID                        no
+      2    LastObjectID                         no
+      4    XMethod                              no
+      5    XMag                                 no
+      7    YMag                                 no
+      9    LeftMag                              no
+     11    RightMag                             no
+     13    TopMag                               no
+     15    BottomMag                            no
+     17    YMethod                              no
 
 =head3 MNG MNGHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      1    ImageHeight                          N
-      2    TicksPerSecond                       N
-      3    NominalLayerCount                    N
-      4    NominalFrameCount                    N
-      5    NominalPlayTime                      N
-      6    SimplicityProfile                    N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      1    ImageHeight                          no
+      2    TicksPerSecond                       no
+      3    NominalLayerCount                    no
+      4    NominalFrameCount                    no
+      5    NominalPlayTime                      no
+      6    SimplicityProfile                    no
 
 =head3 MNG MoveObjects Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FirstObject                          N
-      2    LastObject                           N
-      4    DeltaType                            N
-      5    DeltaXY                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FirstObject                          no
+      2    LastObject                           no
+      4    DeltaType                            no
+      5    DeltaXY                              no
 
 =head3 MNG PasteImage Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    DestinationID                        N
-      2    TargetDeltaType                      N
-      3    TargetXY                             N
-     11    SourceID                             N
-     13    CompositionMode                      N
-     14    Orientation                          N
-     15    OffsetOrigin                         N
-     16    OffsetXY                             N
-     24    BoundaryOrigin                       N
-     25    PastClippingBoundary                 N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    DestinationID                        no
+      2    TargetDeltaType                      no
+      3    TargetXY                             no
+     11    SourceID                             no
+     13    CompositionMode                      no
+     14    Orientation                          no
+     15    OffsetOrigin                         no
+     16    OffsetXY                             no
+     24    BoundaryOrigin                       no
+     25    PastClippingBoundary                 no
 
 =head3 MNG PromoteParent Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    NewColorType                         N
-      1    NewBitDepth                          N
-      2    FillMethod                           N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    NewColorType                         no
+      1    NewBitDepth                          no
+      2    FillMethod                           no
 
 =head3 MNG ShowObjects Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FirstObject                          N
-      2    LastObject                           N
-      4    ShowMode                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FirstObject                          no
+      2    LastObject                           no
+      4    ShowMode                             no
 
 =head3 MNG TerminationAction Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    TerminationAction                    N
-      1    IterationEndAction                   N
-      2    Delay                                N
-      6    IterationMax                         N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    TerminationAction                    no
+      1    IterationEndAction                   no
+      2    Delay                                no
+      6    IterationMax                         no
 
 =head3 MNG ExportImage Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    SnapshotID                           N
-      2    SnapshotName                         N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SnapshotID                           no
+      2    SnapshotName                         no
 
 =head3 MNG FramePriority Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    DeltaType                            N
-      2    Priority                             N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    DeltaType                            no
+      2    Priority                             no
+
+=head2 FLIF Tags
+
+Information extracted from Free Lossless Image Format files.  See
+L<http://flif.info/> for more information.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageType                            no
+      1    BitDepth                             no
+      2    ImageWidth                           no
+      3    ImageHeight                          no
+      4    AnimationFrames                      no
+      5    Encoding                             no
+  'eXif'   EXIF                                 EXIF
+  'eXmp'   XMP                                  XMP
+  'iCCP'   ICC_Profile                          ICC_Profile
 
 =head2 DjVu Tags
 
-Information is extracted from the following chunks in DjVu images.
+Information is extracted from the following chunks in DjVu images. See
+L<http://www.djvu.org/> for the DjVu specification.
 
   Tag ID   Tag Name                             Writable
@@ -12246,5 +24156,5 @@
   'ANTz'   CompressedAnnotation                 DjVu Ant
   'FORM'   FORM                                 DjVu Form
-  'INCL'   IncludedFileID                       N
+  'INCL'   IncludedFileID                       no
   'INFO'   INFO                                 DjVu Info
 
@@ -12264,78 +24174,162 @@
 documentation endorses tags borrowed from two standards: 1) BibTeX
 bibliography system tags (all lowercase Tag ID's in the table below), and 2)
-PDF DocInfo tags (uppercase Tag ID's).
+PDF DocInfo tags (capitalized Tag ID's).
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Author'             Author                   N
-  'CreationDate'       CreateDate               N
-  'Creator'            Creator                  N
-  'Keywords'           Keywords                 N
-  'ModDate'            ModifyDate               N
-  'Producer'           Producer                 N
-  'Subject'            Subject                  N
-  'Title'              Title                    N
-  'Trapped'            Trapped                  N
-  'address'            Address                  N
-  'annote'             Annotation               N
-  'author'             Author                   N
-  'booktitle'          BookTitle                N
-  'chapter'            Chapter                  N
-  'crossref'           CrossRef                 N
-  'edition'            Edition                  N
-  'eprint'             EPrint                   N
-  'howpublished'       HowPublished             N
-  'institution'        Institution              N
-  'journal'            Journal                  N
-  'key'                Key                      N
-  'month'              Month                    N
-  'note'               Note                     N
-  'number'             Number                   N
-  'organization'       Organization             N
-  'pages'              Pages                    N
-  'publisher'          Publisher                N
-  'school'             School                   N
-  'series'             Series                   N
-  'title'              Title                    N
-  'type'               Type                     N
-  'url'                URL                      N
-  'volume'             Volume                   N
-  'year'               Year                     N
+  'Author'             Author                   no
+  'CreationDate'       CreateDate               no
+  'Creator'            Creator                  no
+  'Keywords'           Keywords                 no
+  'ModDate'            ModifyDate               no
+  'Producer'           Producer                 no
+  'Subject'            Subject                  no
+  'Title'              Title                    no
+  'Trapped'            Trapped                  no
+  'address'            Address                  no
+  'annote'             Annotation               no
+  'author'             Author                   no
+  'booktitle'          BookTitle                no
+  'chapter'            Chapter                  no
+  'crossref'           CrossRef                 no
+  'edition'            Edition                  no
+  'eprint'             EPrint                   no
+  'howpublished'       HowPublished             no
+  'institution'        Institution              no
+  'journal'            Journal                  no
+  'key'                Key                      no
+  'month'              Month                    no
+  'note'               Note                     no
+  'number'             Number                   no
+  'organization'       Organization             no
+  'pages'              Pages                    no
+  'publisher'          Publisher                no
+  'school'             School                   no
+  'series'             Series                   no
+  'title'              Title                    no
+  'type'               Type                     no
+  'url'                URL                      no
+  'volume'             Volume                   no
+  'year'               Year                     no
 
 =head3 DjVu Form Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    SubfileType                          N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SubfileType                          no
 
 =head3 DjVu Info Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      2    ImageHeight                          N
-      4    DjVuVersion                          N
-      6    SpatialResolution                    N
-      8    Gamma                                N
-      9    Orientation                          N
-
-=head2 PGF Tags
-
-The following table lists information extracted from the header of
-Progressive Graphics File (PGF) images.  As well, information is extracted
-from the embedded PNG metadata image if it exists.  See
-L<http://www.libpgf.org/> for the PGF specification.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      3    PGFVersion                           N
-      8    ImageWidth                           N
-     12    ImageHeight                          N
-     16    PyramidLevels                        N
-     17    Quality                              N
-     18    BitsPerPixel                         N
-     19    ColorComponents                      N
-     20    ColorMode                            N
-     21    BackgroundColor                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      2    ImageHeight                          no
+      4    DjVuVersion                          no
+      6    SpatialResolution                    no
+      8    Gamma                                no
+      9    Orientation                          no
+
+=head2 DPX Tags
+
+Tags extracted from DPX (Digital Picture Exchange) images.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ByteOrder                            no
+      8    HeaderVersion                        no
+     16    DPXFileSize                          no
+     20    DittoKey                             no
+     36    ImageFileName                        no
+    136    CreateDate                           no
+    160    Creator                              no
+    260    Project                              no
+    460    Copyright                            no
+    660    EncryptionKey                        no
+    768    Orientation                          no
+    770    ImageElements                        no
+    772    ImageWidth                           no
+    776    ImageHeight                          no
+    780    DataSign                             no
+    800    ComponentsConfiguration              no
+    801    TransferCharacteristic               no
+    802    ColorimetricSpecification            no
+    803    BitDepth                             no
+    820    ImageDescription                     no
+    892    Image2Description                    no
+    964    Image3Description                    no
+   1036    Image4Description                    no
+   1108    Image5Description                    no
+   1180    Image6Description                    no
+   1252    Image7Description                    no
+   1324    Image8Description                    no
+   1432    SourceFileName                       no
+   1532    SourceCreateDate                     no
+   1556    InputDeviceName                      no
+   1588    InputDeviceSerialNumber              no
+   1724    OriginalFrameRate                    no
+   1728    ShutterAngle                         no
+   1732    FrameID                              no
+   1764    SlateInformation                     no
+   1920    TimeCode                             no
+   1940    FrameRate                            no
+   1972    Reserved5?                           no
+   2048    UserID                               no
+
+=head2 OpenEXR Tags
+
+Information extracted from EXR images.  See L<http://www.openexr.com/> for
+the official specification.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  '_lay'               Layout                   no
+  '_ver'               EXRVersion               no
+  'adoptedNeutral'     AdoptedNeutral           no
+  'altitude'           GPSAltitude              no
+  'aperture'           Aperture                 no
+  'capDate'            DateTimeOriginal         no
+  'channels'           Channels                 no
+  'chromaticities'     Chromaticities           no
+  'comments'           Comments                 no
+  'compression'        Compression              no
+  'dataWindow'         DataWindow               no
+  'displayWindow'      DisplayWindow            no
+  'envmap'             EnvironmentMap           no
+  'expTime'            ExposureTime             no
+  'focus'              FocusDistance            no
+  'framesPerSecond'    FramesPerSecond          no
+  'isoSpeed'           ISO                      no
+  'keyCode'            KeyCode                  no
+  'latitude'           GPSLatitude              no
+  'lineOrder'          LineOrder                no
+  'longitude'          GPSLongitude             no
+  'lookModTransform'   LookModTransform         no
+  'multiView'          MultiView                no
+  'owner'              Owner                    no
+  'pixelAspectRatio'   PixelAspectRatio         no
+  'preview'            Preview                  no
+  'renderingTransform' RenderingTransform       no
+  'screenWindowCenter' ScreenWindowCenter       no
+  'screenWindowWidth'  ScreenWindowWidth        no
+  'tiles'              Tiles                    no
+  'timeCode'           TimeCode                 no
+  'utcOffset'          TimeZone                 no
+  'whiteLuminance'     WhiteLuminance           no
+  'worldToCamera'      WorldToCamera            no
+  'worldToNDC'         WorldToNDC               no
+  'wrapmodes'          WrapModes                no
+  'xDensity'           XResolution              no
+
+=head2 ZISRAW Tags
+
+As well as the header information listed below, ExifTool also extracts the
+top-level XML-based metadata from Zeiss Integrated Software RAW (ZISRAW) CZI
+files.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     32    ZISRAWVersion                        no
+     48    PrimaryFileGUID                      no
+     64    FileGUID                             no
 
 =head2 MIFF Tags
@@ -12347,25 +24341,25 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'background-color'   BackgroundColor          N
-  'blue-primary'       BluePrimary              N
-  'border-color'       BorderColor              N
-  'class'              Class                    N
-  'colors'             Colors                   N
-  'colorspace'         Colorspace               N
-  'columns'            ImageWidth               N
-  'compression'        Compression              N
-  'delay'              Delay                    N
-  'depth'              Depth                    N
-  'dispose'            Dispose                  N
-  'gamma'              Gamma                    N
-  'green-primary'      GreenPrimary             N
-  'id'                 ID                       N
-  'iterations'         Iterations               N
-  'label'              Label                    N
-  'matt-color'         MattColor                N
-  'matte'              Matte                    N
-  'montage'            Montage                  N
-  'packets'            Packets                  N
-  'page'               Page                     N
+  'background-color'   BackgroundColor          no
+  'blue-primary'       BluePrimary              no
+  'border-color'       BorderColor              no
+  'class'              Class                    no
+  'colors'             Colors                   no
+  'colorspace'         ColorSpace               no
+  'columns'            ImageWidth               no
+  'compression'        Compression              no
+  'delay'              Delay                    no
+  'depth'              Depth                    no
+  'dispose'            Dispose                  no
+  'gamma'              Gamma                    no
+  'green-primary'      GreenPrimary             no
+  'id'                 ID                       no
+  'iterations'         Iterations               no
+  'label'              Label                    no
+  'matt-color'         MattColor                no
+  'matte'              Matte                    no
+  'montage'            Montage                  no
+  'packets'            Packets                  no
+  'page'               Page                     no
   'profile-APP1'       APP1_Profile             EXIF
                                                 XMP
